#!/bin/bash
mypath=${0%/*}

showRadio "Бэкап" "" "Бэкап контактов и СМС" "Восст. контактов и СМС" "Удалить бэкап" "Инструкции"
case "$?" in
1)
if [ ! -d /mmc/mmca1/.psbackup ] 
then
mkdir /mmc/mmca1/.psbackup
fi
showQ "О бэкапе" "Кантакты и СМС будут скопированы в скрытую на карте памяти папку psbackup, вы согласны продолжить?" 0
if [ "$?" = "0" ]
then
exec $mypath/index.sh
fi
a=`echo $(date +%Y%m%d%H%M%S)`
cp /ezxlocal/sysDatabase/main.db /mmc/mmca1/.psbackup/"$a".db
showQ "Успешно" "Название файла:
$a.db" 2
exec $mypath/index.sh
;;
2)
cc=`$mypath/showFileBrowse $mypath/temp.txt Выберите 0 /mmc/mmca1/.psbackup `
a=`cat $mypath/temp.txt`
b=${a##*/}
rm -f $mypath/temp.txt
showQ "Подтверждение" "Подтверждаете восстановленые контактов и СМС за $b ?" 0
if [ "$?" = "0" ]
then
exec $mypath/index.sh
fi
cp -f "$a" /ezxlocal/sysDatabase/main.db

showQ "Восстановление успешно" "Выбранный файл восстановлен, необходима перезагрузка, перезагрузиться?" 1
if [ "1" = "$?" ]	
then
/sbin/reboot
else
showNotify "Восстановление" "Пожалуйста, перезагрузитесь позже" 0
exec $mypath/index.sh
fi
;;
3)
cc=`$mypath/showFileBrowse $mypath/temp.txt Выберите 0 /mmc/mmca1/.psbackup `
a=`cat $mypath/temp.txt`
b=${a##*/}
rm -f $mypath/temp.txt
showQ "Подтверждение" "Уверены что хотите удалить файл с контактами и СМС за $b ?" 0
if [ "$?" = "0" ]
then
exec $mypath/index.sh
fi
rm -f "$a"
showNotify "Успешно удалено" "Выбранный файл удален" 0 4
exec $mypath/index.sh
;;
4)
showQ "Описание" "Приложение делает бэкап main.db с добавлением даты бэкапа - by phythias" 2
exec $mypath/index.sh
;;
*)
exit 0
;;
esac
